.btn-abs{
    
    &::before{
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 2;
    }
}

.datatable-grid{
    display: grid;
    grid-template-columns: 1fr;
    row-gap: .5rem;
    
    > *{
        display: grid;
        grid-template-columns: 3rem 1fr 1fr 1fr auto;
        
        > div{
            padding: .5rem 1rem;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
    }
    
    > .datatable-item{
        border-radius: 2px;
        border: 1px solid var(--border);
        color: var(--secondary);
        
        &:hover, &.selected{
            box-shadow: 0 .1rem 1rem rgba(#000, .05);
            background-color: var(--secondary);
            color: #fff;
            text-decoration: none;
        }
        
    }
}

.ho-so-container{
    height: calc(100vh - 3.5rem);
    
    display: grid;
    grid-template-rows: auto 1fr;

    animation: show_up .2s;
    
    .ho-so-table{
        height: calc(100vh - 5rem - 124px - 89px - 56px);
        overflow-y: auto;
        
        table {
            width: 100%;
        }
    }

    .nav-item.nav-link{
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
        &:not(.active){
            background-color: #f8f8f8;
            border-bottom: 1px solid var(--border);
        }
        &:not(:last-child){
            margin-right: .5rem;
        }
    }
    
}